
void draw() {
  background(240);
  map.draw();
  
  noFill();
  strokeWeight(1);
  stroke(255, 0, 0);
        
  //println("X: " + mouseX + "\tY: " + mouseY);
  
  //Draw Center Points on Each State
  stroke(255, 255, 0); //yellow
  
  for (Location coordinate : stateCenters.values()) 
  {
    float zz[] = map.getScreenPositionFromLocation(coordinate);
    ellipse(zz[0], zz[1], 5, 5);
  }
  
  //Draw Name of the State that is being Hovered Over
  if (currentMarker != null) 
  {
    stroke(255, 0, 0);
    fill(255, 0, 0);
    textAlign(CENTER, CENTER);
    textFont(font1);
    text(currentMarker.getStringProperty("NAME"), width / 2, height * 0.1);
  }
  
  //Draw Bird Count Points
  stroke(0, 255, 0);
  fill(0, 0, 255);
  
  for(int i = 0; i < myTable.getColumnCount() - 2; i++)
  {  
    for(int j = 0; j < states.size(); j++)
    { 
      Location l = stateCenters.get(states.get(j));
      float yz[] = map.getScreenPositionFromLocation(l);
      ellipse(yz[0], yz[1], dataMatrix[j][i], dataMatrix[j][i]);
    }
  }


}











































//Old Code
  /*
  Location a = stateCenters.get("Maine");
  float yz[] = map.getScreenPositionFromLocation(a);
  ellipse(yz[0], yz[1], 5, 5);

*/




  /*for(int i = 0; i < markersList.size(); i++)
  {
    print(i + " ");
    print(markersList.get(i).getStringProperty("NAME"));
    println(markersList.get(i).getLocation());
    
    Location manyloc = markersList.get(i).getLocation();
    float xy[] = map.getScreenPositionFromLocation(manyloc);
    println(xy);

    ellipse(xy[0], xy[1], 5, 5);
  }*/
